Handy Backup User Manual

This manual explains in detail the use of Handy Backup. It provides startup instructions and a brief tutorial for performing backup operations. The reader is assumed to have knowledge and experience concerning the following.

Table of contents

  1. General Information
    1. Product Overwiew
    2. Copyright
    3. End User License Agreement
  2. Getting Started
    1. System Requirements And Installation
    2. First Start
    3. Registration
    4. Checking The Registration
    5. Uninstalling
  3. Handy Backup Basics
    1. Operation Types
      1. Backup
      2. Restore
      3. Synchronization
    2. Tasks
      1. Creating New Task
      2. Modifying Task
      3. Deleting Task
  4. Managing Data With Handy Backup
    1. Backing Up Data
      1. Standard Mode
        1. Step 1: Choose Task Type
        2. Step 2: What To Backup?
        3. Step 3: Backup Type
        4. Step 4: Select Destination
        5. Step 5: How To Backup?
        6. Step 6: When To Backup?
        7. Step 7: How Often To Backup?
        8. Step 8: What Time To Backup?
        9. Step 9: Name The Backup Task
      2. Expert Mode
        1. Step 1: Choosing Task Type
        2. Step 2: Specify Backup Set
        3. Step 3: Select Destination
        4. Step 4: Advanced Backup Settings
        5. Step 5: Compression And Encryption
        6. Step 6: Scheduling
        7. Step 7: Ready To Create New Task
    2. Restoring Data
      1. Step 1: Choose Task Type
      2. Step 2: Specify Index File
      3. Step 3: Select Restore Location
      4. Step 4: Advanced Restore Settings
      5. Step 5: Scheduling
      6. Step 6: Ready To Create New Task
    3. Synchronizing Data
      1. Step 1: Choose Task Type
      2. Step 2: Select The First Folder
      3. Step 3: Select The Second Folder
      4. Step 4: Advanced Synchronizing Settings
      5. Step 5: Scheduling
      6. Step 6: Ready To Create New Task
  5. User Interface
    1. Main Menu
      1. Main Menu -> File
        1. Task Properties
        2. Settings
        3. Configuration
      2. Main Menu -> View
      3. Main Menu -> Actions
      4. Main Menu -> Service
      5. Main Menu -> Language
        1. How To Create Different Language Versions Of Handy Backup
      6. Main Menu -> Help
    2. Toolbar
    3. Task View Window
    4. File View Window
    5. Log Window
    6. Hot Keys
    7. Tray Icon
      1. The Agent Menu
    8. Command Line
  6. Backup Extras
    1. Updates
    2. Image Backup
      1. Before You Back up
      2. Where to Back up
      3. Restore of Hard Drive
    3. Database Backup
      1. File Data Source
      2. Machine Data Source
    4. Lotus Notes Backup
    5. Email Box Backup
    6. Plug-ins
      1. Why Use Plug-ins?
      2. Installation Of Plug-Ins
      3. Creation Of Plug-Ins
        • Search algorithms
        • Windows Environmental Variables


General Information

  • Product Overview
  • Copyright
  • End user license agreement

Go to Help Contents


General Information

Product Overview

Handy Backup is the best-in-class, award winning data protection solution for individuals as well as corporate users, providing easy, comprehensive and cost effective backup and recovery of critical data.

Ease of use

An intuitive, user-friendly interface simplifies data protection and recovery procedures for users of all levels. In addition, Handy Backup contains an excellent task-oriented help system. Help files offer clear, step-by-step instructions and troubleshooting tips. The language is easy to understand and the help information is well organized so the answers can be found fast.

Universality

Handy Backup is designed to backup all types of data, which are searched automatically, never asking you to point out the data location. The user has to do as little as to specify the data to be backed up and the program will do the rest.

The application works with most types of storage devices including external or internal hard drives, removable media, CD/DVD disks, as well as local networks and remote servers, which allows users to retrieve their data anytime anywhere.

Backup tasks can be scheduled and run automatically on both one-off and regular basis. To fit users' needs the schedule can be easily modified. The program keeps users informed via e-mail as to how the backup process is going and if it is complete yet.

Supplementary data handling tools

The use of Zip compression allows to considerably reduce both storage space and online time while running a backup to a remote server. The user can modify both the type of compression parameters and the level of compression.

To protect data from unauthorized access, strong 128-bit blowfish encryption algorithm is used. This is one of the most advanced Internet backup encryption methods. Files, encrypted with Handy Backup, will never be decrypted without a unique password and Handy Backup.

To keep files and folders, included into a backup copy, identical to their sources, Handy Backup provides a synchronization feature. Synchronization can be performed between all known storage devices, remote servers, within LANs etc.

Online backup

To solve the problem of personal online storage space, users can take advantage of Handy Backup Online Service. This service allows archiving files of any format to the Internet servers, located in a secured shelter fully protected against natural and technological disasters, as well as against any unforeseen events.

Enriched functionality

Additional upgrades considerably enlarge the functionality of the program. The Backup to DVD feature allows saving large amounts of data to a single disk; Secure FTP (SFTP) support ensures full protection of backed up data while transferring them; Windows service mode provides the opportunity to completely automate backup operations and run them without any human intervention. All the upgrades are available to the owners of the base version on the product website at www.handybackup.net.

Multilanguage support

Starting with version 5.4 Handy Backup supports not only English but other languages. In the future the number of languages provided by default will be increased. In addition, users are encouraged to create their own language interfaces. This was made possible due to the appearance of the new language configuration system that now relies on xml-files including all texts displayed in the program. These files are easy to modify, so computer users of all levels could make particular translations of Handy Backup using Notepad or any other text editor. To learn how to translate Handy Backup, see How to create different language versions of Handy Backup.

Always up-to-date

Novosoft developers constantly work on improving Handy Backup software to make it an ideal tool for trouble-free backups. We always take into consideration users' recommendations to find out if any improvements and modifications are needed.

Watch the product website at www.handybackup.net for updates!

Copyright


General Information

Copyright

Copyright© Novosoft LLC 2002-2006. All rights reserved.

Outlook Express®, Outlook®,Internet Explorer®, Windows® and Microsoft® are Registered Trademarks of Microsoft® Corporation. All trademarks and registered trademarks used in this documentation are property of their respective owners.

Warning: This computer program is protected by copyright law and international treaties. Unauthorized reproduction or distribution of this program, or any portion of it that's owned by Novosoft, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under the law.

End User License Agreement


General Information

End User License Agreement

Handy Backup is copyrighted and licensed software, so please read carefully the Handy Backup License Agreement.

Novosoft Handy Backup End User License Agreement

THIS SOFTWARE END USER LICENSE AGREEMENT (HEREINAFTER REFERRED TO AS THE "EUL") IS A LEGAL AGREEMENT BETWEEN THE EUL END-USER (HEREINAFTER REFERRED TO AS "YOU") AND NOVOSOFT DEVELOPMENT LLC AS THE EUL LICENSOR (HEREINAFTER REFERRED TO AS THE "NOVOSOFT"). USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (HEREINAFTER REFERRED TO AS THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. READ IT CAREFULLY BEFORE COMPLETING THE INSTALLATION PROCESS AND USING THE SOFTWARE. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. BY INSTALLING, COPYING, OR OTHERWISE USING THE SOFTWARE PRODUCT, YOU AGREE TO BE BOUND BY THE TERMS OF THIS EUL.

1. LICENSE GRANT
NOVOSOFT GRANTS YOU A LICENSE TO USE ONE COPY OF THIS VERSION OF THE SOFTWARE ON A SINGLE COMPUTER. "YOU" MEANS THE COMPANY, ENTITY OR INDIVIDUAL WHO DOWNLOADS THE SOFTWARE TO USE IT. "USE" MEANS STORING, LOADING, INSTALLING, EXECUTING OR DISPLAYING THE SOFTWARE. YOU MAY NOT MODIFY THE SOFTWARE OR DISABLE ANY LICENSING OR CONTROL FEATURES OF THE SOFTWARE EXCEPT AS AN INTENDED PART OF THE SOFTWARE PROGRAMMING FEATURES. THIS LICENSE IS NOT TRANSFERABLE TO ANY OTHER SYSTEM, OR TO ANOTHER ORGANIZATION OR INDIVIDUAL.

2. TRIAL AND REGISTRATION
YOU ARE GRANTED THE RIGHT TO USE THE SOFTWARE WITHOUT REGISTRATION SOLELY FOR THE PURPOSES OF EVALUATING THE PERFORMANCE OF THE SOFTWARE FOR A PERIOD OF NO MORE THAN 30 DAYS. IF AFTER THAT TIME CONTINUED USE OF THE SOFTWARE IS DESIRED THEN THE SOFTWARE MUST BE REGISTERED WITH NOVOSOFT SUBJECT TO THE TERMS AS LAID OUT IN THE REGISTRATION INFORMATION WHICH CAN BE FOUND IN THE DOCUMENTATION ACCOMPANYING THE SOFTWARE. YOU ARE EXPECTED TO USE THE SOFTWARE ON YOUR SYSTEM AND TO THOROUGHLY EVALUATE ITS USEFULNESS AND FUNCTIONALITY BEFORE REGISTRATION. THIS "TRY BEFORE YOU REGISTER" APPROACH IS THE ULTIMATE GUARANTEE THAT THE SOFTWARE WILL PERFORM TO YOUR SATISFACTION.

3. OWNERSHIP
THE SOFTWARE IS OWNED AND COPYRIGHTED BY NOVOSOFT AND OTHER PERSONS AND/OR ENTITIES DULY AUTHORIZED, IF ANY (HEREINAFTER COLLECTIVELY REFERRED TO AS THE "OWNERS"). YOUR LICENSE CONFERS NO TITLE OR OWNERSHIP IN THE SOFTWARE AND SHOULD NOT BE CONSTRUED AS A SALE OF ANY RIGHT IN THE SOFTWARE.

4. COPYRIGHT
THE SOFTWARE AND ALL RIGHTS, WITHOUT LIMITATION INCLUDING PROPRIETARY RIGHTS THEREIN, ARE OWNED BY THE OWNERS AND ARE PROTECTED BY COPYRIGHT LAWS AND INTERNATIONAL COPYRIGHT TREATIES, AS WELL AS OTHER INTELLECTUAL PROPERTY LAWS AND TREATIES. THE SOFTWARE IS LICENSED, NOT SOLD. YOU ACKNOWLEDGE THAT NO TITLE TO THE INTELLECTUAL PROPERTY IN THE SOFTWARE IS TRANSFERRED TO YOU. YOU FURTHER ACKNOWLEDGE THAT TITLE AND FULL OWNERSHIP RIGHTS TO THE SOFTWARE WILL REMAIN THE EXCLUSIVE PROPERTY OF THE OWNERS AND YOU WILL NOT ACQUIRE ANY RIGHTS TO THE SOFTWARE EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE. YOU AGREE THAT ANY COPIES OF THE SOFTWARE WILL CONTAIN THE SAME PROPRIETARY NOTICES WHICH APPEAR ON AND IN THE SOFTWARE.

5. REVERSE ENGINEERING
YOU AGREE THAT YOU WILL NOT ATTEMPT TO REVERSE COMPILE, MODIFY, TRANSLATE, OR DISASSEMBLE THE SOFTWARE IN WHOLE OR IN PART.

6. NO OTHER WARRANTIES
THE SOFTWARE PRODUCT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. NOVOSOFT DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

7. SEVERABILITY
IN THE EVENT OF INVALIDITY OF ANY PROVISION OF THIS LICENSE, THE PARTIES AGREE THAT SUCH INVALIDITY SHALL NOT AFFECT THE VALIDITY OF THE REMAINING PORTIONS OF THIS LICENSE.

8. NO LIABILITY FOR CONSEQUENTIAL DAMAGES
IN NO EVENT SHALL THE OWNERS OR THEIR SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF NOVOSOFT HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL NOVOSOFT' LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

9. GOVERNING LAW
THIS AGREEMENT IS GOVERNED BY THE LAWS OF THE RUSSIAN FEDERATION. IF FOR ANY PROVISION OR PORTION THEREOF OF THE LICENSE AGREEMENT IS FOUND TO BE UNENFORCEABLE BY A COURT OF COMPETENT JURISDICTION, THAT PROVISION SHALL BE ENFORCED IN SUCH MANNER AS TO EFFECT THE INTENTION OF THE PARTIES HEREOF, AND THE REMAINDER OF THE LICENSE AGREEMENT SHALL CONTINUE IN FULL FORCE AND EFFECT.

10. GENERAL PROVISION
THIS IS THE ENTIRE AGREEMENT BETWEEN YOU AND NOVOSOFT, WHICH SUPERSEDES ANY PRIOR AGREEMENT OR UNDERSTANDING, WHETHER WRITTEN, OR ORAL, RELATING TO THE SUBJECT MATTER OF THIS LICENSE. IF ANY PART OF THIS AGREEMENT IS FOUND VOID AND UNENFORCEABLE, IT WILL NOT AFFECT THE VALIDITY OF THE BALANCE OF THE AGREEMENT, WHICH SHALL REMAIN VALID AND ENFORCEABLE ACCORDING TO ITS TERMS. THIS AGREEMENT SHALL AUTOMATICALLY TERMINATE UPON FAILURE BY YOU TO COMPLY WITH ITS TERMS. NOVOSOFT, ON ITS SOLE DISCRETION, MAY MODIFY THIS AGREEMENT IN WRITING AT ANY TIME.

System Requirements and Installation


Getting Started

  • System requirements and installation
  • First start
  • Registration
  • Checking the registration
  • Updates
  • Uninstalling


Getting Started

System requirements and installation

Handy Backup is not a resource-consuming utility. To use Handy Backup, you need Windows NT 4.0/2000/XP/2003 and approximately 10MB of free disk space.

To install Handy Backup on a computer, you need to have the administrative rights. The installation process doesn't take much time. All you need to do is to follow the instructions of the Installation Wizard. There is no need to reboot, so you can run the program right after it is installed on your computer.

First Start


Getting Started

First Start

First time you run Handy Backup, a welcome dialogue will be displayed.

It will offer to start a trial period. The trial period is necessary to begin working with the program. However, you may register the application any time within or after 30 days of the trial period.

Registration


Getting Started

Registration

Handy Backup is shareware. During the trial period you can enjoy all of its features including additional upgrades. But when the trial period expires the program must be registered. Handy Backup can be registered in two ways: online or via e-mail so an Internet connection is required for the registration.

In the Help menu choose Enter your serial number or click on the Register now! icon on the program toolbar. A registration window will appear.

Enter your serial number (it can be found on the back side of this manual) in the edit box. If you choose registration online (most common), click Register.

Otherwise make use of the Register by e-mail option. The program will generate a message with all the necessary registration information, and open it in your default e-mail client.

You will only need to send this message to support@handybackup.net. If you do not have a default e-mail client, the program will show the dialog window with the registration information. Just copy the information from the window (either with Copy to clipboard button or manually), save it to a file and send the file to support@handybackup.net. Upon receipt, we will send you a special registration zip file. To complete the registration, you will need to open the file on the same computer where your copy of Handy Backup is installed (it should be the same computer where your registration info message was generated), i.e. you need to save the file to your hard disk, unzip it and run the Handy Backup.reg file.

Upon successful completion of the registration procedure, the program will inform you that you have successfully registered your version of Handy Backup. Just click OK.

If you experience any problems while registering your copy of Handy Backup, please send a letter to support@handybackup.net. We will be happy to assist you with the registration.

Checking the Registration


Getting Started

Checking the Registration

To check the registration status, click on the About Handy Backup tab in the Help menu. If the registration was successful, you will see the license number.

Uninstalling


Getting Started

Uninstalling

To uninstall Handy Backup, follow these steps:

  • Close the program window;
  • Right-click on the Handy Backup agent;
  • Choose Exit (the agent disappears from the system tray);
  • In the Windows Start menu choose Novosoft -> Handy Backup -> Uninstall;

When the window of Uninstall Wizard appears, follow the instructions of the Wizard.
You can also perform uninstall operation through Control panel. In Windows Start menu select Control panel, choose Add/Remove programs, find Handy Backup in the list of currently installed programs and click Add/Remove button.

Handy Backup Basics


Handy Backup basics

  1. Operation Types
    • Backup
    • Restore
    • Synchronization
  2. Tasks
    • Creating new task
    • Modifying task
    • Deleting task


Handy Backup Basics

Operation Types

With Handy Backup you can perform three types of operations - backup, restore and synchronization.

Backup

Backup is the most frequently used operation type. It is used for saving your important files into another storage location. If some files are corrupted or lost in the original folder, you can easily restore them from their backup copies. Handy Backup allows you to choose between the two backup types:

  • full backup - the program copies all files to the destination folder
  • incremental backup - the program copies only files that have been changed since the previous backup; files are compared by date of the last change and size. The advantages of this backup type are quite obvious - fewer amounts of data to operate with, less time necessary to perform the backup operation.

Note: If you have specified the Incremental backup option when backing up for the first time, the program will perform a full backup. The next time the program is run, it will perform incremental backups.

Backing up data

Restore

Restore is used for restoring files from a backup copy if the original data is accidentally lost or corrupted. It can also be used to restore backed up data to a different location. Handy Backup can perform:

  • full restore - the program will restore all files on each restore operation;
  • incremental restore - the program restores only those files that have been changed since the previous restore; files are compared by date and time of the last change.
The program allows you to select a restore location for your files - the files can be restored to their original folder or any other folder, even those located on another machine.

Restoring data

Synchronization

You can use this type of operation to synchronize data between different locations (for example, your home and office machine). You can also synchronize data with a remote FTP server. Handy Backup performs 3 types of synchronization:

  • copying from the first folder to the second - the program copies files/folders from the first folder to the second;
  • copying from the second folder to the first - the program copies files/folders from the second folder to the first;
  • mirroring both folders - the program makes contents of both folders identical.

Synchronizing data

Tasks


Handy Backup Basics

Tasks

Handy Backup organizes data in tasks. To backup, restore or synchronize your data, you have to create a task defined by:

  • unique task name;
  • type of operation (backup, restore, synchronization);
  • folders and files to process;
  • backup / restore locations;
  • compression, encryption and other options;
  • scheduling - when and how often to backup your data;
  • advanced options.
You can also create new tasks, delete them and modify their properties.

Creating new task

You can easily create a new task with Handy Backup New Task Wizard that can be opened by clicking New Task [image] button on the program toolbar or by choosing New Task item in the File menu. The New Task Wizard works on the step-by-step basis.

The first step is common for all operation types and this is where you should select whether you are going to perform backup, restore or synchronization of your data. Backup task can be created in two ways: either using simple and fast Standard mode or switching to Expert mode, more complex and recommended only for advanced users. For details on creating a needed task, see Managing data with Handy Backup.

Modifying task

You can view and modify task properties (such as its name, initial data set etc.) any time you wish. Select required task in the Tasks View and press Task Properties [image] button in the program toolbar or choose Task Properties item in the File menu. The Properties dialog will appear. Choose a tab with task properties you wish to modify.

Deleting task

If you want to delete a task, select it in the Tasks View and click Delete Selected Task(s) [image] button in the program toolbar, choose the Delete item in the File menu or just press Delete key.

Note: If you delete a task, your files and folders will not be deleted neither from their original location, nor from their backup location.

Managing data with Handy Backup


Managing data with Handy Backup

To back up, restore or synchronize your data, a respective task should be created. This can be done using Handy Backup step-by-step Wizards which will guide you through the processes of Backup, Restore and Synchronize tasks creation.

Backing up data


Backing up data

If you wish to back up your data, you have to create a backup task defining which files to operate with, where to transfer them, when to perform the next operation and a lot of other information that is necessary to correctly perform a backup procedure. For this purpose the New Task Wizard should be used. It can be opened by clicking New Task [image] button on the program toolbar or by choosing New Task item in the File menu. Backup can be performed using either Standard mode providing a minimal set of options or Expert mode that allows adjusting an extended set of options.

Standard mode


Backing up data

Standart mode

Running the program in the Standard mode is the easiest way to create a reserve copy of your files and to save it to any storage media, removable device or remote location. All you need to do is to follow the instructions of the New Task Wizard.

    Step 1: Choose Task Type
    Step 2: What to backup?
    Step 3: Backup type
    Step 4: Select destination
    Step 5: How to backup?
    Step 6: When to backup?
    Step 7: How often to backup?
    Step 8: What time to backup?
    Step 9: Name the backup task


Standart mode

Step 1: Choose Task Type

In this step you will be offered to select the type of the task you are going to perform. Just check up Backup task item as shown on the image below and press Next.

Step 2: What to backup?


Standart mode

Step 2: What to backup?

In this step you will be offered to select files/folders to be backed up using Add button. You can include as many files and folders as you need in a Backup task as well as exclude some of them.

Clicking on the Add button opens the drop down menu containing all the data categories available for backing up. You just have to choose a category.

Folder: Choose this option to add a folder or folders to the backup set. The Browse for folder dialog will appear

Select a folder or a whole drive. Repeat the selection procedure if you need to back up folders located on other hard drives or subfolders of several folders. The list of the selected folders will be displayed in the upper box of the Wizard window. To see the contents of the selected folder, click the "plus" sign next to it (the "plus" sign will turn into a "minus").

Files: Choose this option to add a file or files to the backup set. The Select file dialog will appear.

Select needed files and click Open. Repeat the procedure if you want to backup several files from different folders. The list of the selected files will be displayed in the upper box.

FTP Files: Choose this option to add files stored on an FTP server.

In the FTP Settings dialog specify the FTP server, enter your login and password in the respective fields, and indicate the exact location of the file(s) in the Location field. If you cannot do it manually, use the Browse button.

Other data categories include data from different applications currently installed on your computer and are searched for automatically, you should only choose the category you would like to back up and the list of files of a needed type stored on your PC will be displayed in the upper box. Handy Backup has a number of plug-ins which make the process of data backup much easier. To add plug-ins, click "More" in the Add menu. For more information about plug-ins click here.

You can tune up your backup set by removing, including and excluding some files or folders depending on your needs.

Remove Folders or Files: Select a folder or a file in the upper box and click the Remove button. You can use this method only for root folders or files. For subfolders or non-root files you should use exclusion.
Exclude Subfolders or Files: If you do not want to backup some subfolders or files, remove the checkmarks next to them. Such subfolders or files will be displayed in the Files View with the Excluded status.
Checkmarks: The black checkmarks next to files or folders indicate that they are included in the backup set. A gray checkmark near a folder shows that some files or subfolders are excluded from this folder.

Step 1: Choose Task Type Step 3: Backup type


Standart mode

Step 3: Backup type

In this step you should select what type of backup you are going to perform: full or incremental.

All selected files (Full backup): The program will backup all the files on every backup operation.
New and changed files (Incremental backup): The program will backup only the files that have been changed since the last backup operation.

Step 2: What to backup? Step 4: Select destination


Standart mode

Step 4: Select destination

In this step you will be offered to select a destination where your data backup copy will be stored. You can choose to backup to a local drive/LAN, an FTP, SFTP server, a CD, DVD device or use Handy Backup Online storage service. Note that all the external drives (for example, a USB drive) should be specified as local drives (by choosing the Local/LAN option).

Note: If you backup several tasks into the same destination directory, should it be Local/LAN, FTP or any other destination, you will be able to restore only the last task: the matter is that each successive index file overwrites the previous index file.

Step 3: Backup type Step 5: How to backup?


Standart mode

Step 4: Select destination

Local/LAN: If you want to keep your backup copy locally, check up Local/LAN radio button.

Press the Browse for folder [image] button. In the Browse for folder dialog select the needed folder or create a new one.

Step 3: Backup type Step 5: How to backup?

Step 4: Select destination

Go to Help Contents


Standart mode

Step 4: Select destination

FTP: Check up FTP radio button, if you wish to store your files on an FTP server.

Type the required information into the fields that appear.

Host: Enter the FTP server name.
Port: Enter the port number. Its default value is 21.
User: Enter your FTP user name.
Password: Enter your FTP password.
Location: You should choose a remote directory where you wish to backup your data.

In order to do this, click Select FTP folder [image] button. The Select FTP folder window will appear.

After establishing an FTP connection, the list of remote directories will appear in the upper window. Select a directory by left-clicking on it, then press the Select button. If you want to create a new directory, press the New folder button. The bottom part of the window shows the FTP session log messages.

You can also set up additional parameters:
Proxy: Press this button to choose your proxy settings. Proxy server settings dialog will be displayed.

  • Use FTP proxy: Check this box if you use FTP proxy.
  • Use SOCKS server: Check this box if you use a SOCKS server.

Passive mode: When checked up, your computer is connected to an FTP server. This may be necessary if a firewall does not allow establishing a connection from the outside.

Step 3: Backup type Step 5: How to backup?

Step 4: Select destination

Go to Help Contents


Standart mode

Step 4: Select destination

SFTP: Secure File Transfer Protocol (SFTP) provides greater security than other online data storage methods as it makes use of packet encryption while transferring files. Choose this option to guarantee absolute protection of your data.

The process of storing reserve copies to an SFTP server is very similar to backing up to FTP, except for some additional settings (Proxy and Passive mode) that become unavailable.
Type the required information into the fields appeared.

    Host: Enter the name of SFTP server.
    Port: Enter the port number. Its default value is 22.
    User: Enter your SFTP user name.
    Password: Enter your SFTP password.
    Location: You should choose a remote directory where you wish to backup your data

In order to do this, click the Select SFTP folder [image] button. The Select SFTP folder window (just like with FTP) will appear.
After establishing an SFTP connection, the list of remote directories will appear in the upper window. Select a directory by left-clicking on it, then press Select button. If you want to create a new directory, press the New folder button. The bottom part of the window shows the SFTP session log messages.

Note: This feature can be used during the trial period but becomes unavailable if you purchase only Standard version. To use this option after the trial period has expired, you should purchase the SFTP upgrade. You can do this at http://www.handybackup.net/order.shtml

Step 3: Backup type Step 5: How to backup?

Step 4: Select destination

Go to Help Contents


Standart mode

Step 4: Select destination

CD-R/CD-RW: Choose this option if you wish to store your backup copy to CD and fill in the fields appeared.

    Device: Choose your CD-R/CD-RW device.
    Folder: Type the name of the folder where you would like to backup your data. Note that the path to this folder should not contain any component names ("component\component\...") with more than 64 characters, or contain one of the following characters: * ? : ; .
    Speed: Choose the necessary CD recording speed.
    Enable spanning (split large backups): Enables spanning - a procedure of saving backup parts onto several discs if your backup set requires more space than it is available on a single CD. If your backup set contains large files with size exceeding free space available on a single disc, the program will split such files into several parts that will be backed up on other discs. Their names will look like XXXXname, where X is a hexadecimal digit.
    Erase disk before writing: Check up this item if you need to erase a CD-RW disc before writing a new backup on it.

Note: You can either use a blank (brand-new) CD-R/W disc, or erase discs if they were previously formatted with a 3rd party program like DirectCD.

Step 3: Backup type Step 5: How to backup?

Step 4: Select destination

Go to Help Contents


Standart mode

Step 4: Select destination

DVD-R/DVD-RW: If you want to backup files to DVD, click the DVD-R/DVD-RW radio button. Note also that this option is universal and can be used for backing up to CD as well.

    Device: Here you can choose your DVD-R/DVD-RW device.
    Folder: Choose the folder where you want the data to be stored.
    Disk size: Choose your storage disk size.
    Speed: Choose desired writing speed (lower speed usually means better backup quality).
    Enable spanning (split large backups): Check this option if you want to split your backup into several discs.
    Erase disk before writing: Check this option if you want to erase your DVD-RW disc before writing.

Note: After trial period, this feature is unavailable in Standard version. To use this option, you should purchase the DVD upgrade. You can do it at http://www.handybackup.net/order.shtml.

Step 3: Backup type Step 5: How to backup?

Step 4: Select destination

Go to Help Contents


Standart mode

Step 4: Select destination

Handy Backup Online: Choose this option if you wish to backup your data with Handy Backup Online service. To use this service, you should register an account. If you have not done it yet, click on the About Online Backup Service link which will take you to the web page where you will be able to choose an appropriate storage plan and register your account. You can also access this page without running the program. Just enter into the address bar of your browser the following URL: http://www.handybackup.net/online-backup.shtml.

After completing registration you will receive your login and password that should be entered into respective fields after checking up Handy Backup Online radio button.
Filling in the Description field is not required but if you wish, you can type a brief description of your backup set.

Get Sample Account button requests for the trial account. Once you click this button, you will be offered to register for using Handy Backup Online trial.

Note: All Handy Backup users can try Handy Backup Online Service by registering a free 100 Mb account that will be accessible for 10 days, if you use trial version of the program. If you purchase Handy Backup, the free account validity period will be 30 days. You can register your free trial online account through the About Online Backup Service link by pressing the Get Sample Account button or directly at http://www.handybackup.net/get-online-backup-trial.shtml.

Step 3: Backup type Step 5: How to backup?

Step 4: Select destination

Go to Help Contents


Standart mode

Step 5: How to backup?

In this step of the task creation you can enable two options:

Compress the data to save space: compresses files to a zip archive. This is recommended when backing up to network drives or FTP servers in order to save storage space and online time.
Encrypt the data for security reasons: encrypts reserve copy with the blowfish encryption algorithm making data inaccessible to anyone who does not know the password.
If you choose to encrypt the data, the following fields are to be filled:
Password: to be filled with the encryption password.
Confirm the password: to be filled with the same encryption password as in the first field.

Step 4: Select destination Step 6: When to backup?


Standart mode

Step 6: When to backup?

At this step of the task creation you have to check up (or not) two options:

Run now: allows running the task right after the task is created.
Setup schedule: allows setting up a backup schedule for the task before finishing creating the task. If Setup schedule option was not selected, the user goes straight to final step of the task creation, otherwise he has to complete 7th and 8th steps.

Step 5: How to backup? Step 7: How often to backup?


Standart mode

Step 7: How often to backup?

In this step of the New Task Wizard the user should adjust the time period over which the backup will be repeated:

Once: for scheduling the operation to run once at the specified time
Daily: to schedule the operation to be performed daily
Weekly: to schedule the operation to be performed weekly
Monthly: to schedule the operation to be performed monthly

Step 6: When to backup? Step 8: What time to backup?


Standart mode

Step 8: What time to backup?

In this step you should specify the time of the initial backup operation.

Step 7: How often to backup? Step 9: Name the backup task


Standart mode

Step 9: Name the backup task

In the last step of the task creation you should name your backup task. Type a unique name in the upper text field. The lower window of the New Task Wizard shows the basic parameters of the newly created task.

Make sure the settings are correct. If not, go back by pressing Back and change the needed parameters. If your task is not intended to be performed right after creation, you can change it later by selecting the task in the Tasks View, pressing Properties and selecting the tab with properties you wish to modify.

Click on Finish to end the task creation. If you checked up Run now option in Step 6, the task will be executed immediately and after completing the backup procedure you can see if it was successful by revising the task status.
If Run now option is not checked up, the program will save your settings and you will be able to run this task when needed by selecting it in the Tasks View window and pressing Execute selected task(s) [image] button. As mentioned above, before running the task you can change some task properties.

Step 8: What time to backup?

Expert Mode


Expert Mode

Expert Mode offers a more powerful and flexible way to setup the backup process. Follow the instructions given below and you will not experience any difficulties while making a Backup task in the Expert Mode.

    Step 1: Choosing Task Type
    Step 2: Specify Backup Set
    Step 3: Select destination
    Step 4: Advanced Backup Settings
    Step 5: Compression and Encryption
    Step 6: Scheduling
    Step 7: Ready to Create New Task


Expert Mode

Step 1: Choosing Task Type

This step is common for all task types and modes. The default task type is Backup task so you only need to check the Expert Mode checkbox under the Select task type area:

Step 2: Specify Backup Set


Expert Mode

Step 2: Specify Backup Set

In this step you will be offered to specify what files and folders should be included in your backup set. In large part this step is identical to Step 2 of Standard mode. So if you missed to read Standard mode, please refer to Step 2: What to backup? to learn how to add files for the backup.

However, in Expert Mode you can set up additional conditions for data to be backed up.

Include masks field specifies files to be included in the reserve copy. You can enter full file names separated with a semicolon, or/and just specify masks indicating groups of files. You can create any mask using the asterisk, replacing any number of characters, or/and the question-mark that replaces a single character. For instance, "*.exe" sequence indicates that all files with "exe" extension will be included in the backup set. Empty line (or "*.*") indicates that all the files will be backed up.

Exclude masks field works similarly. You can specify files or/and masks indicating what files or groups of files you do not wish to be backed up. Pressing Add default temporary extensions adds a list of common temporary extensions which may be out of user's interest.

Finally, if you mark the checkbox below this button, both lines will be relevant for folders

Step 1: Choosing Task Type Step 3: Select destination


Expert Mode

Step 3: Select destination

In this step you will be offered to select a destination to store your backup copy. This step is absolutely identical to Step 4 of Standard mode. So if you missed to read Standard mode, please refer to Step 4: Select destination to learn how to define the destination for your backup set.

Step 2: Specify Backup Set Step 4: Advanced Backup Settings


Expert Mode

Step 4: Advanced Backup Settings

Here you are to select what type of backup you are going to perform: full or incremental. Also, you may set up additional features not available in Standard Mode.

First of all, like in Standard Mode, you should specify a backup type. It comes as one out of two options.
Full backup: The program will backup all the files on every backup session.
Incremental backup: The program will backup only the files that have been changed since the last backup session.

The first checkbox is responsible for deleting all files in the destination folder which are not related to the current backup session.

The second checkbox, if marked, enables timestamps for reserve coping. Your backups will be provided with the information as to when they were created.

You may define properties of time labeling by clicking Timestamp format settings.... It ends up with the window:

Timestamp accuracy stands for time preciseness of timestamps.
Timestamp format defines the way the date will be displayed, e.g. month day, Year (time).

You should also decide how to treat older versions of backups: keep them all, leave only certain number of latest versions or keep old ones for a period of time.

File-specific settings: This option allows skipping some files while backing up. Also you can exclude addressing to files from other applications during the backup process.

Step 3: Select destination Step 5: Compression and Encryption


Expert Mode

Step 5: Compression and Encryption

At this step it is possible to specify if you want Handy Backup to compress and/or encrypt data.

The first option compresses files to a zip archive. It is recommended while backing up to network drives or FTP servers because it saves storage space and online time.

Encrypting the reserve copy with the blowfish encryption algorithm makes data inaccessible to anyone who does not know the password.
Description of all elements of the window is given below.

Choose a compression type - defines if your data will be compressed:

  • No compression - data will not be compressed;
  • ZIP compression (single file) - data will be packed into one ZIP file;
  • ZIP compression (multiple file) - every file will be compressed into a separate ZIP file;
Compression quality - the higher is quality, the less space the archive occupies on a storage device but the more time it requires for compression.
Encrypt - if this field is marked, your data will be encoded with the Blowfish encryption to prevent unauthorized access.

If you choose to encrypt the data, the following fields need to be filled:
Password: a field to be filled with the encryption password.
Confirm the password: a field to be filled with the same encryption password as in the first field.

Press Next button to continue.

Step 4: Advanced Backup Settings Step 6: Scheduling


Expert Mode

Step 6: Scheduling

Now it is time to define the backup schedule. Backup may be performed on a one-off or regular basis.

This window is organized as follows:

Enable scheduler: if on, backup will be done exactly on time specified below. To set up the date and time, you just need to click the corresponding box. If for some reasons the backup task was not performed at the specified time, it will be done next time under favorable conditions.
Repeat: click this checkbox if you want the backup task to be performed regularly. There are four options available:

  • Every day: to schedule the operation to be performed daily;
  • On week days: to schedule the operation to be performed on certain week days, e.g. Tuesday and Friday;
  • On month days: to schedule the operation to be performed on certain month days, e.g. 1st or 30th;
  • Custom period: to specify the time period manually.

If at a scheduled time the computer is inactive (turned off or logged off), check Run the missed schedules. It enables Handy Backup to launch the task as soon as you log in.

Two remaining checkboxes provide additional backup sessions. If marked, the first box launches the task every time the user logs on. If the second one is active, then the backup task is performed when the user logs off.

Step 5: Compression and Encryption Step 7: Ready to Create New Task


Expert Mode

Step 7: Ready to Create New Task

This is the final step you go through while creating a new task. Here you can give a name to the task or accept that given by Handy Backup.

In this window you can view full information about the task and its conditions. All your essential steps are summarized here. If you think that something is wrong, it is possible to go back and redo that step.

Finally, you may launch the task right after you are done with its creation. To do it, check the Execute this task immediately option.

Click Finish to end the task creation. If you checked up the option Execute this task immediately, the task will be executed immediately and after completing the backup procedure you can see if it was successful by revising the task status in the Tasks View window.
If Execute this task immediately option was not checked up, the program will save your settings and you will be able to see this task in the Tasks View window waiting for execution with the Idle status. You can run this task when needed by selecting it and pressing the Execute selected task(s) [image] button. Before running the task you can change some task properties.

Note: Once you've created and executed a Backup task, the program will create a corresponding index file (backup.hbi or spanXXXX.hbi in case of backup to CD, where XXXX is a hexadecimal number of span) containing information about files included in this task. Index files are stored along with backup files. They are necessary to perform restoration and synchronization, so be careful with these files: it is not recommended to modify them manually.

Step 6: Scheduling

Restoring data


Restoring data

Very well, you have set up a backup task, and now you would like to learn how to extract your data back. Of course, to perform this task correctly, you need a backup to work with.

    Step 1: Choose Task Type
    Step 2: Specify Index File
    Step 3: Select Restore Location
    Step 4: Advanced Restore Settings
    Step 5: Scheduling
    Step 6: Ready to Create New Task


Restoring data

Step 1: Choose Task Type

Procedure of a Restore task creation resembles the Backup task creation process in many parts. Click New Task [image] button on the program toolbar or go to New Task item in the File menu. Then choose Restore task and click Next.

Step 2: Specify Index File


Restoring data

Step 2: Specify Index File

In this step you will be offered to tell Handy Backup where your data backup copy is stored. You may choose one out of four options:

Local/LAN/CD/DVD - restore task for a backup copy kept locally on computer, in the local network, on CD or on DVD. Type the backup path in the line or browse the file by clicking Browse for file/folder [image] button:

FTP: Check up FTP radio button if you wish to store your files to an FTP server.

Type the required information into the fields appeared.

Host: Enter the FTP server name.
Port: Enter the port number. Its default value is 21.
User: Enter your FTP user name.
Password: Enter your FTP password.
Location: You should choose a remote directory where the backup is located.

In order to do that click Select FTP folder [image] button. The Select FTP folder window will appear.

After establishing an FTP connection, the list of remote directories will appear in the upper window. Select a directory by left-clicking on it, then press Select. The lower window shows the FTP session log messages. You can also set up additional parameters:

    Proxy: Press this button to choose your proxy settings. Proxy server settings dialog will be displayed.

    Passive mode: When checked up, your computer is connected to an FTP server. This may be necessary if a firewall does not allow establishing a connection from the outside.

SFTP: Secure File Transfer Protocol (SFTP) provides much more information security then other online data storage methods, because of using packet encryption while transferring files. Choose this option if you want to ensure your data protection.

The setting of SFTP parameters is the same as for usual FTP. The only difference is that the default port is 22 and Proxy and Passive options are unavailable.

Handy Backup Online: Choose this option if you wish to restore your data from your Handy Backup Online account. To use this service you have to register an account first. Or, you can do it right away using Get Sample Account button. For details on how to create an account refer to Step 4: Select destination in the chapter dedicated to the process of backup tasks creation.

To get access to your backups at a Handy Backup Online account, please, specify your login and password in User and Password fields. In order to choose a backup file to restore, click Update. Then select a backup item from the dropdown menu.

Step 1: Choose Task Type Step 3: Select Restore Location


Restoring data

Step 3: Select Restore Location

While restoring your files, decide where you would like these files to be restored to

Handy Backup remembers the original destination of backed up data. By default, Handy Backup offers to restore the data to its original location. But if you want to choose a different destination, click Edit...

Step 2: Specify Index File Step 4: Advanced Restore Settings


Restoring data

Step 4: Advanced Restore Settings

Here you can define if you need a full or partial restoration of your data. It matters if you choose regular restoring or just a single restoring to the directory the files were backed up from.

Full restore - if the destination directory contains files with the names identical to those of the files being restored, Handy Backup will overwrite them. It means that EVERY file in the reserve copy will be restored to the specified destination. Even if the file was not changed since the last backup, it will be overwritten.

Incremental restore - only those files are restored which have been changed since the last backup. If Handy Backup detects a file in the directory with the same name, it compares the two files. If the file was changed it will be overwritten, otherwise it will not.

Mark the checkbox, if you want all files at the destination to be deleted before the restoring session.

Step 3: Select Restore Location Step 5: Scheduling


Restoring data

Step 5: Scheduling

Now it is time to define the schedule for restoring. Restore task may be performed once or on a regular basis.

This window is organized as follows:

Enable scheduler: if on, restore task will be done exactly on time specified below. To set up date and time, you just need to click the corresponding box.
Repeat: Check this box if you want the restore task to be performed regularly. There are four options available:

Every day: to schedule the operation to be performed daily;
On week days: to schedule the operation to be performed on certain week days, e.g. Tuesday and Friday;
On month days: to schedule the operation to be performed on certain month days, e.g. 1st or 30th;
Custom period: to specify the time period manually.

If at a scheduled time the computer is inactive (turned off or logged off), then check Run the missed schedules. It enables Handy Backup to launch the task as soon as you log on.

Two remaining checkboxes provide additional restoring sessions. If marked, the first box launches the task any time a user logs on. If the second one is active, then the restore task is performed when the user is logged off.

Step 4: Advanced Restore Settings Step 6: Ready to Create New Task


Restoring data

Step 6: Ready to Create New Task

This is the final step you will face when creating a new task. Here you can give a name to the task or accept that given by Handy Backup

In this window you can view full information about the task and its conditions. All your essential steps are summarized here. If you think that something is wrong, it is possible to go back and redo that step.

Finally, you may launch the task right after you are done with its creation. For this, please, check Execute this task immediately.

To complete the task, click Finish.

Step 5: Scheduling

Synchronizing data


Synchronizing data

This task is useful if you want two folders to share their content with one another or to fill up their content in a mutual way.

    Step 1: Choose Task Type
    Step 2: Select the First Folder
    Step 3: Select the Second Folder
    Step 4: Advanced Synchronizing Settings
    Step 5: Scheduling
    Step 6: Ready to Create New Task


Synchronizing data

Step 1: Choose Task Type

To choose Synchronize task, please, click New Task [image] button on the program toolbar or go to New Task item in the File menu. Then select Synchronized task and click Next:

Step 2: Select the First Folder


Synchronizing data

Step 2: Select the First Folder

Here you should specify the first folder to work with. Browse it at your hard drives, removable media or network drives. Note that if you want to work with an FTP/SFTP folder, you have to specify it as the second folder.

Step 1: Choose Task Type Step 3: Select the Second Folder


Synchronizing data

Step 3: Select the Second Folder

At this step you should define the second folder. Here, not only local, network or removable drives are available, but also FTP/SFTP folders. So you can set up matching between an FTP/ SFTP folder (as the second) and non-FTP/SFTP one (as the first).

To choose a folder, click Browse for file/folder [image] button.

Step 2: Specify Index File Step 4: Advanced Synchronizing Settings


Synchronizing data

Step 4: Advanced Synchronizing Settings

So, you have defined the first and the second folders. Now it is time to tell Handy Backup which folder will be the source of synchronized data and which will be the destination.

Copy from the first folder to the second: all content of the first folder will be copied to the second one. If files have the same names, the files will be overwritten if they are different from the source.

Copy from the second folder to the first: the same as in the previous paragraph, but words "first" and "second" replace each other.

If you mark Delete files which are not in the source, all files in the destination folder, which are not found in the source, will be deleted.

Mirror both folders: folders share their content with each other. Each file of either folder will be copied to the other folder. In the dropdown menu you should select how to treat files with equal names.

copy newer - the older file will be replaced with the newer one;
copy older - the newer file will be replaced with the older one;
copy smaller - the larger file will be replaced with the smaller one;
copy larger - the smaller file will be replaced with the larger one;
skip - to leave files as they are.

Step 3: Select the Second Folder Step 5: Scheduling


Synchronizing data

Step 5: Scheduling

This task is described in detail in the section Step 6: Scheduling for backup tasks. The only difference being that this time it is synchronization instead of backup.

Step 4: Advanced Synchronizing Settings Step 6: Ready to Create New Task


Synchronizing data

Step 6: Ready to Create New Task

This is the last window before the task is complete. Here you can have a look at all your task settings and make sure everything is all right in the synchronizing task. If you want to alter some settings, just go back to the necessary step.

Check "Execute this task immediately" if you want to launch the task right after you click "Finish".

Step 5: Scheduling

User Interface


User Interface

In this section we briefly introduce what makes up the Handy Backup interface. The Handy Backup main window appears as follows:

The main elements of the Handy Backup interface are Main Menu, Toolbar, Task View, File View and Log View windows.

Main Menu


User Interface

Main Menu

Very well, you have set up a backup task, and now you would like to learn how to extract your data back. Of course, to perform this task correctly, you need a backup to work with.

    Main Menu -> File
    Main Menu -> View
    Main Menu -> Actions
    Main Menu -> Service
    Main Menu -> Language
    Main Menu -> Help


Main Menu

Main Menu -> File

New Task: calls for the New Task Wizard. It starts from the first step when one should select a task type: Backup, Restore or Synchronize. See Backing up data, Restoring data or Synchronizing data topics for more details.
Duplicate: creates identical copies of the selected tasks. Then, using Properties item, one can adjust different parameters of the copies, for example, scheduling or encrypting.
Execute: launches all tasks selected in Tasks View. These tasks are to be executed even if they were created for a single procedure or they are out of their schedule at the moment.
Stop: interrupts the task being in process, in some cases it can take several minutes.
Delete: deletes selected tasks.
Properties: allows altering task properties. Through this option you can change virtually everything you defined when creating the task: task Name, Backup Set contents, Storage locations, Advanced settings, Operation type, Scheduling, Actions. Read more
Settings: Click on Settings to adjust Handy Backup settings. Read more
Configuration: Handy Backup allows you to save program settings, items and registration status to a special file (with the .hbc extension) and then, should necessarily arise, load your preferences. Read more
Exit: The Exit tab closes Handy Backup.

Main Menu -> View


Task Properties

All these settings are described in the corresponding topics of Managing data with Handy Backup so if you experience any difficulties when changing task properties, refer to this chapter. In addition Task Properties dialog allows specifying some actions to be executed before or after running a task. You can do this through Actions tab of the dialog.

  • Run a program before/after running a task: by marking one of these checkboxes you define if a program will be run before or/and after a task execution. You can run, for instance, an antiviral program that will ensure that the files to be included, or those already included, in the backup set are virus free.
  • Wait for the program before proceeding: if checked, this option sets the task to be executed only after the program is shut down.
  • Wait for the program before finishing: if checked, this option schedules the program to start only after the task is finished.
  • Send e-mail notification: if checked, Handy Backup sends you an e-mail notification either when the task finishes or when it finishes with error. To define when you want to receive the notification, mark one of the following checkboxes: When the operation finishes or When the operation finishes with error.

Settings: opens a dialog allowing you to set up or modify some Handy Backup parameters and characteristics. Read more

Main Menu -> File


Settings

Follow these links to read about Handy Backup settings:

    General settings
    Log settings
    File View settings
    Transfer settings
    Prompts
    E-mail Notification
    Updates
    Plug-ins

Back to Task Properties

Main Menu -> File


General settings

  • Launch agent on Windows Startup: Launches the Handy Backup agent on Windows startup.

  • Show splash screen on program startup: Shows the Handy Backup splash screen on program startup.

  • Enable Windows Explorer integration: Enables the Windows Shell Integration by adding Handy Backup commands to the standard Windows context menu.

  • Temporary folder: Allows specifying on where the TEMP directory will be located. Handy Backup creates temporary files in case of compression and encryption. If there is no enough free space in the TEMP folder where such files are kept, Handy Backup operations may fail. So, in this case, you can select another location for the Handy Backup TEMP files.

  • Use the Windows TEMP folder: If checked, the program will place its temporary files in the standard Windows TEMP folder (the folder path will be displayed in the box below). Otherwise, you can select another location for the temporary files. Uncheck the option, click on the small button and choose a new temporary folder.

  • Eject the CD after a backup operation: Check this if you want the program to eject your CD/DVD after backup/restore processes are over.

  • Try online help first: Ensures that the program will be always referring to the online help system which is constantly updated and seems to be more complete in some cases.

Log settings

Back to Settings


Log settings

Here you can customize your log window appearance (including fonts and colours) and log file size.

File View settings

Back to Settings


File View settings

Through this option, File View window appearance can be modified. By marking the first checkbox you will specify if the File View will be refreshed automatically, by marking the second one - if the current settings will be applied when backing up to any location or for Local/LAN destination only.

Transfer Settings

Back to Settings


Transfer settings

Here some network connection properties are defined: Network operating timeout, Delay before reconnecting, Retries on network errors. If the lower checkbox is marked, the program will retry to reconnect until the connection is successful.

Prompts

Back to Settings


Prompts

This option allows to define if you will be prompted when stopping a task execution and deleting a task.

E-mail Notification

Back to Settings


E-mail Notification

You can control the progress of all Handy Backup processes even if you cannot access the computer where the program is run. Handy Backup will keep you posted on what is going on by e-mail notifications. To enable this option it is enough to mark Use e-mail notification checkbox and enter the required information into the corresponding text fields.

  • SMTP server: your incoming mail server address.
  • From: contains a name (Handy Backup by default) that will be reflected in the From box of your e-mail client message viewer to identify a sender.
  • To: an e-mail address you would like to receive Handy Backup messages to.
  • Subject: message subject.
  • Body: by clicking Edit Message Body button you can set up the message appearance including welcome, signature etc.

If your SMTP server requires authorisation you will have to mark Use SMTP authentication checkbox and enter the required information into the following fields:

  • User: user name.
  • Password: user password

Updates

Back to Settings


Updates

Through this option you can enable/disable automatic checking for updates. If you do not want the program to check for new version available, just mark Never radio button. Otherwise set up an appropriate schedule by marking a corresponding radio button: Every Day, Every Week or Every Thirty Days. Handy Backup will check for updates according to this schedule on condition that at the needed time your computer is connected to the Web. If it is not, checking for updates will be put off.
You can also check for updates "manually" every time you wish by clicking on Check for update button.
In case a new version is available, Handy Backup will display a window with the new program features for you to decide if you are ready to download this version.

Back to Settings

Plug-ins


Configuration

  • Import

    Choose this item to load Handy Backup configuration file. After opening Import configuration dialogue, you need to specify a file to load from. The file can be encrypted. To decrypt it check, the corresponding option and type your password.

    Click Import button. Configuration Elements dialogue will be displayed.

    dialogue lets users specify what exactly they want to import: Settings, Registration or/and Tasks. Just mark the needed checkboxes and press OK.

  • Export

    This item allows saving Handy Backup settings, registration information and tasks to a Handy Backup configuration file. Select the configuration elements to be exported. Specify the file to save them to. If you want the file to be encrypted mark Encrypt checkbox and enter your password.

    Exit: quits the program.

Main Menu -> File

Main Menu -> View


Main Menu

Main Menu -> View

Toolbar: shows/hides Handy Backup Toolbar.
Status Bar: shows/hides Status Bar in the bottom of the Main Window.
Log Window:

    Hide/Show Log: hides/shows Log View window;
    Save Log: saves log to a text file;
    Clear Log: clears the Log View window.
Refresh: checks current state of selected tasks. If the task is network-based, Handy Backup initiates connecting and checking.

Main Menu -> Actions


Main Menu

Main Menu -> Actions

Backup: runs a selected backup task. It can be applied only to backup tasks.
Restore: runs a selected restore or backup task. If the task type is "restore" then it will be done according to its properties. If the task type is "backup", then it restores data to the source.
Synchronize: runs a selected synchronization task.

Main Menu -> Service


Main Menu

Main Menu -> Service

Through this menu item you can set up or switch on/off Handy Backup Service mode that allows running scheduled tasks with no human intervention. Handy Backup service is based on the Personal service technology that considerably simplifies configuring and handling users' accounts without affecting security.

Setup service: sets up the service mode.

  • Setup for different user: checking up this option is required primarily for system administrators to configure a user's account and include the tasks of this account in the service. If unchecked, the task of the current account will be used.
  • Account: user's account.
  • Check: checks availability of the account.
  • Password: input here the password used to login your account. If you marked the checkbox you need to know user password.
  • Set up: completes the setting up process. To be able to finish setup, your account must have administrative rights.

Work as service: enables/disables the service mode. If checked, all scheduled tasks involved into service are processed, no matter which user is currently logged on

Main Menu -> Language


Main Menu

Main Menu -> Language

You can set one of the languages available by default.
Note: after switching to another language Handy Backup should be restarted for the changes to take effect.
If you choose More Languages, you will be told how new languages may become available. You can also create your own language interfaces. See How to create different language versions of Handy Backup for details.

Main Menu -> Help


How to create different language versions of Handy Backup

The user can participate in translating Handy Backup into new languages. More detailed information is given below:

  1. All resources for different languages can be found in xml-files that are located in the Handy Backup installation directory, in the subdirectory Customizes.
  2. To create a new language version, it is necessary to copy the file "English.xml" to the same directory, rename and translate it. The name of the file will be displayed in the menu Languages of the application and must indicate the language to which the translation has been made.
  3. After a new xml-file has been created or modified, it is necessary to restart Handy Backup for the modifications to take effect (the restart is also necessary after switching to a language).
  4. When translating original English resources, keep in mind the following information:

      a. It is necessary to translate only text data, located within the elements "string". For example, in the element
      <string id="IDS_OP_TYPE_BACKUP">Backup</string>
      only the word "Backup" is translated.

      b. The document structure, element names and their parameters must stay invariable.

      c. The parameter encoding in the header of the xml-file must indicate the encoding of national symbols, which will be used for storing text data in the xml document, for example:
      <?xml version="1.0" encoding="windows-1251"?>
      or
      <?xml version="1.0" encoding="iso-8859-1"?>

      Note: At the moment, Handy Backup does not support Unicode, this is why xml documents with the values "UTF-8", "UTF-16" (or other Unicode encodings) indicated as the encoding parameter may cause the application failure.

      d. According to the xml notation (http://www.w3.org/TR/REC-xml/), the following symbols must be indicated as predefined entities references and character references:

      Line feed | &#xD;&#xA;
      " &quot;
      ` &apos;
      & &amp;
      > &gt;
      < &lt;
      \t | &#9;

      e. The formatting symbols (%s, %d etc) must stay invariable and in the same order in the lines where they are indicated.

      f. The symbol "&" (&amp;) usually indicates a hot-key (it is underlined when displayed) for accerting control or a menu item by pressing Alt and a corresponding hot-key symbol. At switching to another language, hot-key symbols must get changed this way to stay unique in the active window.

      g. If some lines are missing in any xml-file, or if some lines are not located according to original English resources, the text from original English resources will be displayed.

Main Menu -> Help


Main Menu

Main Menu -> Help

Tip of the Day: gives you a random tip about Handy Backup basics.
Contents: opens contents of Handy Backup help system.
Handy Backup on the Web: opens a browser window at www.handybackup.net, Handy Backup home page.
Request for support: creates a letter template addressed to the Handy Backup support service. You can write any questions and suggestions about Handy Backup and send it to the support team. Your feedback will be taken into account as soon as possible.
Online Backup: launches a browser window at http://onlinebackup.novosoft.net/, information page about Handy Backup Online service.
How to register: addresses to Handy Backup price list and price information at http://www.handybackup.net/order.shtml.
Enter you serial number: opens a window to input a serial number.
About Handy Backup: provides information about the installed version, copyright holders and the expiration date.

Toolbar


User Interface

Toolbar

Handy Backup Toolbar contains buttons for most vital actions available in Handy Backup:

The Toolbar is organized as follows:

New Task: calls for the "New Task Wizard". It is the first step while selecting the task type: Backup, Restore or Synchronize. See Backing up data, Restoring data or Synchronizing data topics for more details.
Execute selected task(s): launches all tasks which are marked in Tasks View. The tasks will be executed even if they were created for a single session or they are out of their schedule at the moment.
Restore selected task(s) or file(s): runs a selected restore or backup task. If the task type is "restore" then it will be done according to its properties. If the task is "backup", then it restores data to the source.
Stop selected task(s): interrupts the task being in process.
Task properties: allows altering task properties. Through this option you can change virtually everything you defined when creating the task.
Refresh selected task(s): checks availability of selected tasks. It determines if files specified in the task (e.g., for backing up or restoring) can be reached. If the task is network-based, Handy Backup initiates connection and checking.
Delete selected task(s): deletes selected tasks.
Settings: sets up Handy Backup parameters and characteristics.
Register now!: opens a window to input a serial number.

Task View window


User Interface

Task View window

In this window you can view all you tasks, their progress and status. All columns of this window are described below.

Task name: name, given to a task by the user;
Task type: type of the task - Backup, Restore or Synchronize;
Last run time: last time when the task was executed;
Next run time: next scheduled running time;
Progress: the green bar and the percentage indicator show the task progress;
Status: current task status. It may be Idle, Success, Backing up, Scheduled.

File View window


User Interface

File View window

This window is used to manage content processed in your tasks. You can navigate through files and folders and work with them as if they were tasks themselves.

Clicking on the top window line allows you to navigate through data included in your task.
For a file or folder in the task you can see:
File name: its name;
Status: its current status;
Original size: size of the original file shown in bytes. In some situations this information can be unavailable;
Stored size: size of the file backup shown in bytes;
Original time: time of last modification of the original file or folder;
Stored time: time of last modification of the file or folder stored in backup.

You can exclude files and folders from a task or include them, also you can process them separately from the rest of the task. For that you need to right-click on a file or folder and choose a corresponding option. Also you can adjust File View setting by right-clicking over the File Views window.

Log window


User Interface

Log window

Log window provides you with details of how a task is progressing. It is being updated during the whole task session, informing you about results.

If you right-click over log window, a pop-up menu will be shown. There you can:

  1. copy log to the clipboard;
  2. save log to a text file;
  3. clear log screen;
  4. change font colors.

Hot Keys


User Interface

Hot Keys

Handy Backup allows using the following hot keys:

    Create task - Ctrl+N;
    Execute task - Ctrl+F5;
    Stop - Esc;
    Delete selected task - Del;
    Task properties - Alt+Enter;
    Settings - Alt+F7;
    Refresh - F5;
    Exit - Alt+F4.

Tray Icon


User Interface

Tray Icon

When Handy Backup is running, Handy Backup agent icon [image] appears in the system tray. It doesn't require much system resources and serves for the following:

  • indicates that Handy Backup is running;
  • enables the program scheduler to work;
  • allows to open the program window by double-clicking the agent icon;
  • allows to use some agent menu options.

Working status

When the Handy Backup window is closed, the agent indicates the following working statuses of the program:

    - the program is executing one or several tasks;
    - one or several operations have finished with an error.

The agent menu

The Agent menu is available on right-clicking the agent. All menu options are performed through the user's left-click.

  • Open Handy Backup: Opens the program window when it is minimized.
  • Execute all tasks: Upon clicking this option, the program executes all the tasks simultaneously. Note that this option cannot be used when backing up to a CD, as in this case only the task that has managed to lock the CD first will be backed up.
  • Execute - In the pop-up menu of the execute function you can select what actions you want to perform. The actions include: Backup, Restore, Synchronize, FTP Rebind

    FTP Rebind function allows synchronizing the internal program information about a reserve copy with attributes of files contained in this copy stored on an FTP server. It can be much useful in case of special situations when your data are stored to the server later than the backup is made. For instance you send a backup copy of large size on a CD/DVD to a storage center. Generally the next backup of this copy should be full, but after applying the FTP Rebind function it will be incremental which means that the program will backup just new and updated files from your local PC.

  • Exit: Exits the program (the program will be terminated and the agent will disappear from the system tray).

    Command Line


User Interface

Command Line

Handy Backup allows performing a number of its operations with the use of the command line. In this way you can perform Handy Backup commands without opening the program window, either with any appropriate program (like "Far manager", for instance), through a created shortcut to the Handy Backup agent or through the "Run" option from the Windows "Start" menu.

Handy Backup command line syntax (keys and corresponding Handy Backup actions) is displayed in the following command line Help window:

    -help (-?): shows Help window;
    -Delete (-d) <tasks>: deletes specified tasks;
    -DeleteAll (-da): deletes all tasks;
    -Stop (-s) <tasks>: stops operations with specified tasks;
    -StopAll (-sa): stops operations with all tasks;
    -Execute (-e) <tasks>: executes operations with specified tasks;
    -ExecuteAll (-ea): execute operations with all tasks.

Note: The 'Execute All' option cannot be used when backing up to a CD.

To open this window, go to Windows Start menu -> Run and enter in the textbox the path to the program root folder followed by hbagent.exe and - help key. If the program is installed in its default location this will look as follows: "C:\Program Files\Novosoft\Handy Backup\hbagent.exe" -help. Working with Handy Backup through the command line, you can use either a full key or its contracted form shown above in round brackets (in this case either "-help" or "-?").

All the other operations specified in the list of command line keys can be performed in the same way. But you can also run any of these actions through a corresponding shortcut on your desktop, which is much easier and faster.
For example, you need to periodically backup a task. Create a shortcut on your desktop to the location of Handy Backup agent file hbagent.exe. Right-click on the shortcut icon to get the menu, select Properties option, choose Shortcut tab, in the Target box type the required command and specify the task name (-e "Task name"). Press "OK" and close the dialog. Then, every time you need to perform backup of the task, just double-click the shortcut icon.

Backup Extras


Backup Extras

Handy Backup can be easily updated to a newer version and get new functionality that is not provided in standard releases.

Apart from regular files Handy Backup can back up different frequently used applications such as design tools, instant messengers, mail clients, specific areas of the hard drive such as My Documents and Desktop, Windows components such as Registry, and ODBC compatible databases. The idea is that you only need to specify files of which category you want to include in the backup set and Handy Backup will automatically find those files and add them to your backup set.

The DB Backup feature can be used for easy backup of ODBC compatible databases. You can see how to use the feature by clicking Database Backup. If you want to find out how you can easily back up different applications and other specific file categories, click Plug-ins.

  • Updates
  • Database Backup
  • Plug-ins


Updates

To update the program to a newer version, download this version from the product web site. If Handy Backup is running, close it through system tray icon - just right-click the icon and choose Exit from the menu that appears. Launch the Handy Backup installation package.

Note: The newer version should be installed over the older one. So if the application location is different from default (C:\Program Files\Novosoft\Handy Backup), make sure you indicated the right path to the folder where the old version of the program is installed.

If you update the program to a version with the same set of features, there is no need to re-register - Handy Backup will keep functioning. But if you download a new version combined with an upgrade that your old version doesn't contain, you will have to re-register in order to get a key for the upgrade activation.

New versions of Handy Backup are released on a regular basis. The program will keep you notified about new updates coming out as it has a built-in automatic update option that checks for updates each time the computer is connected to the Web. This can be done manually as well. To learn how to handle the automatic update option, see section Main Menu -> File

Database Backup

Plug-ins


Image Backup

Handy Backup allows you to back up all data on your machine including the operating system with all system and data files. This way you can restore your system to the working state after fatal errors and hard drive crashes. You can back up the entire hard drive of your computer or any of its partitions.

To do the backup of the hard drive, complete the following steps:

  1. Launch Handy Backup application
  2. Go to the File menu
  3. Click New Task
  4. Select Backup Task and click Next
  5. Click the Add button
  6. Select Disk Image from the list

Handy Backup will add your hard drive to the backup set.

Click "plus" next to Devices to see your disk partitions.

Select the partitions you want to include in the backup set by adding or removing check marks next to them.

Important Note: If you do the backup of one or several partitions of your hard drive (but not the entire hard drive), it is important that you include the Partition Table to the backup set for the System to configure the partitioning of your hard drive when you do the restore. To include the Partition Table, check the box next to it.

After your have added your hard drive (or partitions of the hard drive) to the backup set, continue with the backup task creation in a regular way. For details, see the User Manual.

Before You Back up


Before You Back up

Because Handy Backup first creates the backup file in the Temporary Folder, you need to make sure that the Temporary Folder is not located on the same hard drive or hard drive partition that you are going to back up. You can check it, if you complete the following steps:

  1. Go to the File menu
  2. Click Settings
  3. Select General Settings

If the Temporary Folder is located on the partition that you are going to back up, then select a different directory for the Temporary Folder using the Browse button.

Where to Back up


Where to Back up

You can back up your hard drive to any of the storage media available in Handy Backup such as CD, DVD, FTP, SFTP, Online or web drive. However, you need to make sure that the backup file does not exceed the capacity of the preferred media device.

Important Note:

  1. If you back up a partition of your hard drive, you must back it up to another partition of your hard drive, but NOT to the same one!
  2. Before you do the backup, you must close all programs and applications!

Restore of Hard Drive


Restore of Hard Drive

After you have created a backup copy of your hard drive (or a partition of your hard drive) you can restore ALL information including data files and system settings. The following two conditions must be observed for successful restore of the hard drive/drive partition:

  1. Make sure that the partition that you are going to restore exists on your Hard Drive. For example, if you restore disk D of your hard drive, you need to make sure that disk D is available on your computer.
  2. After you have restored the hard drive, you must reboot your computer for new Windows settings to take effect.

Image Backup

Database Backup

Email Box Backup


Database Backup

Handy Backup has a special feature for quick backup of databases which have support for Open Database Connectivity (ODBC) driver. The most popular ODBC compatible databases are Oracle, MySQL and MS SQL. If you want to back up data from any of these databases, you can use the DB backup feature that is available in Handy Backup 5.5 and above.

  1. Launch Handy Backup
  2. Click New task button in the File menu or the New task icon on the toolbar (see the description of toolbar icons here)
  3. Select Backup task and click Next
  4. Click the Add button in Step 2 “What to back up”. A dropdown menu will appear.

  5. Click DB backup menu item. The “Select Data Source” window will appear.
  6. In the “Select Data Source” window you need to select a data source or create a new data source to get access to the database files.

You can select File Data Source or Machine Data Source by clicking respective tabs. File Data Source is stored as a regular file in your local computer. Machine Data Source is stored as the system source in the System Registry.

In the File Data Source window, click the arrow in the Look in field to look for file data sources created earlier in your computer or remote computer. If there are no data sources for your database, create a new one. See how to create a new file data source in File Data Source.

In the Machine Data Source window simply select an apprpriate data source from the list or create a new machine data source. See how to create a new data source in Machine Data Source.

  7. After you have selected a data source, double-click it to add data from the backup source to the backup set or click the data source once and then click OK. The data from the database will be added to the backup set.
  8. If you click plus next to the data source in the “What to back up” window’s view box, you will see a complete list of database tables.

Note: Handy Backup can only back up database tables. It cannot back up store procedures, views, functions, triggers etc from the database.

  9. You can exclude some tables from the backup set or keep all tables included. To exclude the tables from the backup set, remove the checkmarks next to them.
  10. Click Next to proceed to Step 3 “What to back up”
  11. In Step 3 “What to back up” you can choose type of backup (see http://www.handybackup.net/help/help_4_1st_3.shtml for the difference between Full and Incremental backup types).

Handy Backup can only perform Full backup of the selected database tables. However, if you included other data in your backup set, in addition to database tables, you may choose Incremental backup. In this case Handy Backup will perform Full backup of the database tables (backup of all database tables included in the backup set) and incremental backup of other data.

Other steps of the database backup are the same as for other types of data. Read the manual for more information on the backup task creation.

File Data Source
Machine Data Source

Plug-ins


File Data Source

Use file data source to open data from a file source with the help of ODBC driver. You can use the file data source not only from a local computer but from a remote computer as well.

If you already have a file data source, you may use it to do the backup of the selected database.

To create a new file data source, follow the instructions below:

  1. Click the New… button next to the DSN Name field to create a new file data source.

  2. A standard ODBC dialog will appear. Select a driver for which you want to create a data source.

  3. Click the Advanced button if you know the driver-specific keywords for this data source. The “Advanced File DSN Creation Settings” window will appear. Type the driver-specific keywords in the box of the “Advanced File DSN Creation Settings” window.

  4. After you have chosen the driver, click Next to proceed to the next window of the “Create New Data Source” wizard.

  5. Type the name of the file data source in the space provided, and click Next.
  6. In the last window of “Create New Data Source” wizard, you will see the summary of your data source. Click Finish to finalize the data source creation.

  7. Now you have a file data source that is stored in your local computer as a single file that you can access at any time even form a remote computer. You can use this file data source to create more backup tasks.
  8. In some cases the driver may not find the database automatically and you will have to specify additional settings such as path to the data to be backed up.
  9. The file data source that you have created is displayed in the “Select Data Source” window’s view box.

Machine Data Source

Database Backup
Plug-ins


Machine Data Source

The machine data source is specific to your machine and cannot be shared with other computers on the network because the data source is located in the System Registry. However, you can specify if you allow other users who work on the same machine to use your machine data source or you will be the only one who can use it.

Click the Machine Data Source tab in the “Select Data Source” window. Choose a source from the list in the view box and click OK, or create a new source.

To create a new source, complete the following steps:

  1. Click the New… tab
  2. Choose between User Data Source and System Data Source. User Data Source means that the data source that you are creating will be available to one user only i.e. to you. While System Data Source means that all users who work on this machine will be able to use the data source as well.

  3. Click Next to proceed to the next window
  4. In the next window select a driver for which you are creating the data source.

  5. When you have chosen the driver, double-click it or click Next to go to the next window.
  6. The next window is a summary of the data source that you have created. You can go back to the previous steps or click OK to finalize the creation of the machine data source.

  7. 8. In some cases the driver may not find the database automatically and you will have to specify additional settings such as path to the data to be backed up.
  8. 9. The file data source that you have created is displayed in the “Select Data Source” window’s view box.

File Data Source

Database Backup
Plug-ins


Lotus Notes Backup

Handy Backup allows you to do quick backup of the famous Lotus Notes application. You can perform full backup of all Lotus Notes files or selective backup of specific file categories such as contacts, log, journal, email etc.

Before you can do the backup of Lotus Notes, you need to write the root directory of Lotus Notes in the Path environment variable. To do it, complete the following steps:

  1. Right-click My Computer
  2. Select Properties from the drop-down list
  3. In the Properties window, click the Advanced tab
  4. Click Environment Variables
  5. In the window that launches, find the System Variables box
  6. In the System Variables box, select Path and double-click it or click the Edit tab
  7. The Edit System Variable dialog will launch
  8. In the Edit System Variable dialog, find the field Variable Value
  9. Add Lotus Notes directory to the Variable Value field (type a semicolon first and then the directory itself without any spaces)
  10. Click OK

Note: The procedure described above is applicable to Windows XP, if you are using a different operating system you may find slight differences in the System Properties interface.

After you have added Lotus Notes Directory to System Path variable, you can perform backup of Lotus Notes. To do the backup of Lotus Notes complete the following steps:

  1. Launch Handy Backup
  2. Click File menu
  3. Select New Task from the dropdown list
  4. In Step 1: Task Type, select Backup task and click Next
  5. In Step 2: What to backup, click the Add button
  6. Select Lotus Notes Backup from the list that appears and click it
  7. Click plus next to Lotus Notes directory to see what file categories are available within this directory
  8. Add or remove checkmarks next to individual files to include/exclude these files from the backup set.

As soon as you have defined files to be included to the backup set, click Next to proceed with the backup task creation. For details, see the User Manual.

Image Backup

Database Backup


Email Box Backup

Handy Backup allows you to back up your mail directly from the mail server. You may want to use this feature if you don't have a mail client installed on your computer and you use online mail service via web browser. In order to skip such steps as downloading your web service's website and entering the mail account, you can simply use the mail backup feature of Handy Backup to retrieve your mail from the remote mail server.

To back up your mail directly from the remote mail server, complete the following steps:

  1. Open Handy Backup application
  2. Click File menu on the Main Menu toolbar
  3. Select New Task from the dropdown list
  4. The New Task Wizard will open
  5. In Step1: Task Type, select Backup Task by marking the checkbox
  6. In Step 2: What to backup, click the Add tab.

  7. Select Email Messages from the list that launches and click it

    The Connection Parameters dialog will appear.

  8. In the Connection Parameters dialog, enter your POP3 Mail Server address, user name, account password, and a path to restore.

    Handy Backup needs you to specify the restore path for your messages because POP3 protocol does not allow restoring mail messages back to the server.

  9. Type the Path to restore manually, or use the Browse tab to specify where you would like to restore your backup mail. You can restore your mail to any location either locally or on the network or any other storage media of your choice.

    After you have filled in all the fields, you can make use of the Check settings tab to see if the settings you provided for the mail server are correct. Handy Backup will verify your settings and inform you about the results.

  10. If the settings are correct, click OK. Handy Backup will add your mail to the backup set.

Note 1: POP3 protocol allows backing up only incoming messages of your mailbox. If you want to back up other messages stored in your mailbox you can transfer them to the Incoming folder and back them up as if they were incoming.

Note 2: Make sure your mail server supports POP3. Most mail servers do, but if you are not quite sure, you can find this information on the server's web site.

After you have added data to the backup set, you can proceed with the backup task creation in a regular way. For details, see the User Manual.

Image Backup

Lotus Notes Backup

Plug-ins


Plug-ins

Why Use Plug-ins?
Installation Of Plug-Ins
Creation Of Plug-Ins


Plug-ins

Why use plug-ins?

There is a number of plug-ins to Handy Backup to make the use of the application even easier for you. The use of plug-ins is associated with the backup of data from different frequently used applications such as mail applications, web browsers, design tools, instant messengers etc.

The plug-in is useful when you specify which data you are going to back up in Step 2: What to backup? If you have a plug-in for a faster backup of data of the particular application, you don't have to search your computer in order to find the files you are going to backup. All you have to do is specify the application, and Handy Backup will do the rest.

You can see what installed plug-ins you have when you click on the Add button in Step 2: What to backup? Another way to see available plug-ins and plug-in categories is to complete the following steps:

  1. Launch your Handy Backup application
  2. Click on the File menu
  3. Click on Settings
  4. In the view box on the left click on Plug-ins
  5. In the view box on the right you will see plug-in categories currently available.
  6. Click on "plus" next to a category and see which plug-ins are already installed within the selected category.

Installation of plug-ins


Plug-ins

Installation of plug-ins

To add more plug-ins, your computer must be connected to the Internet:

  1. Launch your Handy Backup application
  2. Click on the File menu
  3. Click on Settings
  4. In the view box on the left click on Plug-ins
  5. Click on the Add button below the right window (see pic above). It will open the Add Plug-in dialog window.
  6. In the Add Plug-in dialog window you will see a complete list of plug-in categories. Click on "plus" next to a category and see which plug-ins are available for installation within this category.
  7. If you want to install a particular plug-in, click on it first and then click OK.

You can also install plug-ins while adding data to the backup set in Step 2: What to backup?
Follow these steps:

  1. In the File menu choose New Task
  2. Choose Backup task
  3. Click on the Add button below
  4. In the pop-up menu choose More
  5. In the "Add plug-in" window click on the plus next to a category and see what plug-ins are available for installation within this category.
  6. After you have chosen what plug-in you want to install, click on it and press OK

If you need to install a plug-in, but it is not on the list of the plug-ins currently available for installation, you can download it from our web site http://www.handybackup.net/backup-plugins.shtml

Creation of plug-ins


Plug-ins

Creation of plug-ins

If you need a plug-in, but it's neither on the Web nor in the Application, you can create a plug-in by yourself or send us a request to create a custom plug-in for you.

We offer you to create your own plug-in. If you send us your plug-in, you will be given a free Handy Backup copy and your plug-in will be available for downloading on this site. This allows you to make the data backup process of often used applications easier.

Instructions for Plug-in Creation

Each plug-in represents a well-formed XML document written according to XML 1.0 specification (http://www.w3.org/TR/xml). Plug-in must contain the following essential parts - Prolog and only one root element (which looks like <root></root>). The root element must contain only one Description and several Backup elements.

Prolog

Prolog is a mandatory part of XML document that contains general information about the document. In our case it can be the next line: <?xml version="1.0" encoding="utf-8"?>.

Description element

This element contains information about this specific plug-in. All information is written as text data in its child elements. The following child elements are available:

  • Name - application name, for which plug-in is created.
  • Group - category name that contains this application.
  • Version - compatible application versions, for which plug-in is created.
  • Author - plug-in author name.

Backup element

This element contains the information about the data, which this plug-in backups. There may be several elements. It is obligatory to indicate the attribute id, which identifies the element unambiguously, even if there is only 1 Backup element.

Available child elements:

  • Path
    It contains the information for determining full path to the folder, where the application which we backup is installed. This path may be used with the help of the expression "$PATH$" within the limits of the element.
    There may be several Path elements; the real application path is determined by the first correct element. Available child elements within the Path element include:
    • Type - the type of a search algorithm. The possible values 1,2,3 for your choice (see "Search algorithms").
    • KeyPath - the relative registry path.
    • KeyValue - the name of a registry value.
    • FileName - the name of a file.
    • IncludeSub - the registry search optimization parameter (to include subdirectories or not). The possible values TRUE (true), FALSE (false). Used if Type=3. The default value=FALSE.
  • File - Contains the path to the file, which must be backed up.
  • Folder - Contains the path to the folder, which must be backed up. All the subdirectories of the stated directory are always backed up.
  • Registry - Contains the path to the registry key, which must be backed up. The subkeys of the stated key are always backed up.

For indicating paths to folders use standard Windows Environmental Variables. The list of some of them you can see here.

To check the work of created plug-in, it is necessary to add it to the folder "Program Files/Novosoft/Handy Backup/xmlPlugins", create and perform a new task.

An example of ACDSee data backup plug-in.
<?xml version="1.0" encoding="utf-8" ?>
<root>
    <Description>
        <Name>ACDSee</Name>
        <Group>Design</Group>
        <Version>1.0.0.1</Version>
        <Author>Handy backup</Author>
    </Description>
    <Backup id="Main">
        <Path>
            <Type>3</Type>
            <KeyPath>HKEY_LOCAL_MACHINE\SOFTWARE\ACD Systems\ACDSee\70</KeyPath>
            <KeyValue>InstallDir</KeyValue>
            <FileName>ACDSee7.exe</FileName>
        </Path>
        <Registry>HKEY_LOCAL_MACHINE\SOFTWARE\ACD Systems</Registry>
        <Registry>HKEY_CURRENT_USER\Software\ACD Systems</Registry>
        <Folder>$PATH$\</Folder>
        <Folder>$COMMON_APPDATA$\ACD Systems</Folder>
        <Folder>$APPDATA$\Adobe\ACD Systems</Folder>
        <Folder>$LOCAL_APPDATA$\ACDPhotoEditor</Folder>
        <Folder>$LOCAL_APPDATA$\ACDSee</Folder>
    </Backup>
</root>

Send your plug-in to registered@handybackup.net. We will advertise it on our web site and send you a FREE Handy Backup registration number!


Search algorithms

3 algorithms of the path search on the given parameters in the element "Path" are realized. The type of an algorithm is given by the element "Type". The possible values 1,2,3:

  1. There is a key search in the path of the Registry "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\<KeyPath>".
    If the key is found, we look for the variable <KeyValue> in this key. If there is the variable, we read it. There must be the path to the folder where the program is located. We look for the file <FileName> on this path. If this file exists, it means this is the needed path. Hence, the search is unzipped.
  2. There is a search of the key, containing the information about the file extension associated with the program, in the path of the Registry "HKEY_CLASSES_ROOT\<KeyPath>".
    If the key is found, we look for the variable <KeyValue> in this key. If there is the variable, we read it. There must be the path to the folder, where it is the program, in the following format: <the path to the folred>, <identifier >. We look for file <FileName> on this path. If this file exists, it means that this is the needed path. Hence, the search is unzipped.
  3. There is a key search in the path of the Registry "<KeyPath>".
    If the key is found, we look for the variable <KeyValue> in this key. If there is the variable, we read it. There must be the path to the folder, where it is the program. We look for the file <FileName> on this path. If this file exists, it means this is the needed path. Hence, the search is unzipped. If the value<IncludeSub>=TRUE, then, if the search fails, there is the search of values of all keys included in <KeyPath>.


Windows Environmental Variables

  • $PATH$ - Path to the folder, where the program is installed. It is determined in the element <Path>.
    • Variables for the description of path to system folders Windows:
  • $ADMINTOOLS$ - File system directory that is used to store administrative tools for an individual user
  • $ALTSTARTUP$ - File system directory that corresponds to the user's nonlocalized Startup program group.
  • $APPDATA$ - File system directory that serves as a common repository for application-specific data. A typical path is C:\Documents and Settings\username\Application Data
  • $CDBURN_AREA$ - File system folder used to hold data for burning to a CD. Typically [User Profile Folder]\Local Settings\Applications Data\Microsoft\CD Burning.
  • $COMMON_ADMINTOOLS$ - File system directory containing administrative tools for all users of the computer.
  • $COMMON_ALTSTARTUP$ - File system directory that corresponds to the nonlocalized Startup program group for all users. Valid only for Windows NT® systems.
  • $COMMON_APPDATA$ - Application data for all users. A typical path is C:\Documents and Settings\All Users\Application Data.
  • $COMMON_DESKTOPDIRECTORY$ - File system directory that contains files and folders that appear on the desktop for all users. A typical path is C:\Documents and Settings\All Users\Desktop. Valid only for Windows NT® systems.
  • $COMMON_DOCUMENTS$ - File system directory that contains documents that are common to all users. Typical paths are C:\Documents and Settings\All Users\Documents.
  • $COMMON_FAVORITES$ - File system directory that serves as a common repository for all users' favorite items. Valid only for Windows NT® systems.
  • $COMMON_MUSIC$ - My Music folder for all users.
  • $COMMON_PICTURES$ - My Pictures folder for all users.
  • $COMMON_PROGRAMS$ - File system directory that contains the directories for the common program groups that appear in the Start Menu for all users. A typical path is C:\Documents and Settings\All Users\Start Menu\Programs. Valid only for Windows NT systems.
  • $COMMON_STARTMENU$ - File system directory that contains the programs and folders that appear on the Start Menu for all users. A typical path is C:\Documents and Settings\All Users\Start Menu. Valid only for Windows NT systems.
  • $COMMON_STARTUP$ - File system directory that contains the programs that appear in the Startup folder for all users. A typical path is C:\Documents and Settings\All Users\Start Menu\Programs\Startup. Valid only for Windows NT systems.
  • $COMMON_TEMPLATES$ - File system directory that contains the templates that are available to all users. A typical path is C:\Documents and Settings\All Users\Templates. Valid only for Windows NT systems.
  • $COMMON_VIDEO$ - My Video folder for all users.
  • $CONTROLS$ - Virtual folder that contains icons for Control Panel applications.
  • $COOKIES$ - File system directory that serves as a common repository for Internet cookies. A typical path is C:\Documents and Settings\username\Cookies.
  • $DESKTOP$ - Windows desktop-virtual folder that is the root of the name space.
  • $FAVORITES$ - File system directory that serves as a common repository for the user's favorite items. A typical path is C:\Documents and Settings\username\Favorites.
  • $FONTS$ - Virtual folder that contains fonts. A typical path is C:\WINNT\Fonts.
  • $HISTORY$ - File system directory that serves as a common repository for Internet history items.
  • $INTERNET_CACHE$ - File system directory that serves as a common repository for temporary Internet files. A typical path is C:\Documents and Settings\username\Temporary Internet Files.
  • $LOCAL_APPDATA$ - File system directory that serves as a data repository for local (nonroaming) applications. A typical path is C:\Documents and Settings\username\Local Settings\Application Data.
  • $MYMUSIC$ - File system directory that serves as a common repository for music files. A typical path is C:\My Music.
  • $MYPICTURES$ - My Pictures folder. A typical path is C:\Documents and Settings\username\My Documents\My Pictures.
  • $MYVIDEO$ - File system directory that serves as a common repository for video files.
  • $NETHOOD$ - A file system folder that contains the link objects that can exist in the My Network Places virtual folder. A typical path is C:\Documents and Settings\username\NetHood.
  • $PERSONAL$ - File system directory that serves as a common repository for documents. A typical path is C:\Documents and Settings\username\My Documents. This is different from the My Documents virtual folder in the name space.
  • $PRINTHOOD$ - File system directory that contains the link objects that can exist in the Printers virtual folder. A typical path is C:\Documents and Settings\username\PrintHood.
  • $PROFILE$ - User's profile folder.
  • $PROGRAM_FILES$ - Program Files folder. A typical path is C:\Program Files.
  • $PROGRAM_FILES_COMMON$ - A folder for components that are shared across applications. A typical path is C:\Program Files\Common. Valid only for Windows NT and Windows 2000 systems.
  • $PROGRAMS$ - File system directory that contains the user's program groups (which are also file system directories). A typical path is C:\Documents and Settings\username\Start Menu\Programs.
  • $RECENT$ - File system directory that contains the user's most recently used documents. A typical path is C:\Documents and Settings\username\Recent.
  • $SENDTO$ - File system directory that contains Send To menu items. A typical path is C:\Documents and Settings\username\SendTo.
  • $STARTMENU$ - File system directory that contains Start Menu items. A typical path is C:\Documents and Settings\username\Start Menu.
  • $STARTUP$ - File system directory that corresponds to the user's Startup program group. The system starts these programs whenever any user logs onto Microsoft® Windows NT® or starts Microsoft® Windows® 98. A typical path is C:\Documents and Settings\username\Start Menu\Programs\Startup.
  • $SYSTEM$ - System folder. A typical path is C:\WINNT\SYSTEM32
  • $TEMPLATES$ - File system directory that serves as a common repository for document templates.
  • $WINDOWS$ - Windows directory or SYSROOT. This corresponds to the %windir% or %SYSTEMROOT% environment variables. A typical path is C:\WINNT.